------------------------------------------------------------------------------------
--Name:  	lastbattle
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-09-26
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(28, 179)
CppScriptMgr:ShakeScrEffect(5)
local monster_0 = CppScriptMgr:AddPlayer(146, 31, 182, "", 0, 0)
monster_0:SetDir(7)
monster_0:SetZoomPercent(200)
local effect_0 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 31, 182, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill3", 31, 182, 33, 1, 1, 1)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetDir(3)
player_0:SetPos(37, 188)
player_0:SetName("")
player_0:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(880)
monster_0:SetAction(101)
CppScriptMgr:WaitMilSec(120)
CppScriptMgr:NpcCallOut("No!!! No way!!!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "NetherDuke", 250, 655, true)
CppScriptMgr:WaitMilSec(990)
local effect_3 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 31, 182, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(530)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(480)
CppScriptMgr:NpcCallOut("Just wait! I`ll be back!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "NetherDuke", 250, 655, true)
CppScriptMgr:WaitMilSec(720)
local effect_4 = CppScriptMgr:AddEffect("ride_screen", 31, 182, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(370)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 31, 182, 40, 1, 1, 1)
CppScriptMgr:WaitMilSec(60)
ChangeNpcZoom(monster_0, 200, 0, 5, 33)
CppScriptMgr:WaitMilSec(70)
local effect_7 = CppScriptMgr:AddEffect("taoist-huohuan", 31, 182, 33, 1, 1, 1)
effect_7:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(70)
local effect_8 = CppScriptMgr:AddEffect("zf2-e233", 31, 182, 40, 1, 1, 1)
player_0:SetAction(101)
CppScriptMgr:WaitMilSec(220)
CppScriptMgr:ClearEffect(effect_1)
CppScriptMgr:WaitMilSec(590)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061570, 31, 182, "", 0, 0)
npc_0:SetDir(7)
CppScriptMgr:WaitMilSec(250)
local effect_5 = CppScriptMgr:AddEffect("ride_screen", 31, 182, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1140)
CppScriptMgr:NpcCallOut("Thank you for your help! Now that Nether Duke`s Wraith Pieces have been destroyed, the Temple of Hades will return to peace.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2024qqws2", 150, 430, "DukeMacabre", 250, 655, true)
CppScriptMgr:WaitMilSec(2000)
player_0:Say("My pleasure!", 1000)
player_0:SetAction(190)
CppScriptMgr:WaitMilSec(1490)